# Grichelde Changelog
All notable changes to this project will be documented in this file.  
The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/), 
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## Version 0.8.1-beta - 2020-06-16
### Added
- stop replacements per mapping
- more ooc recognition patterns
### Fixed
- keep cases of over-long replacements

## Version 0.8.0-beta - 2020-06-14 [Feature Complete]
### Added
- handle replacement via slash command
- emote and ooc detection
- de-/activate single mappings
- move buttons are disabled when already at top/bottom or replacements were deactivated
- minimap button is darkened when addon is disabled
- help tab with examples
### Changed
- right-click on minimap button quickly de-/activates replacements
### Fixed
- mapping to raid warning, instance and battleground chats
- localized raid target markers
- capital % substitutions
- incorrect consolidation
- Umlaut and accent replacements

## Version 0.7.2-beta - 2020-06-08
### Added
- minimap button
### Changed
- graphical move arrows
### Fixed
- crash on matches with 0-width

## Version 0.7.1-beta - 2020-06-07
### Added
- user reporting capabilities
- ignore Battle.net contacts
### Changed
- graphical move arrows

## Version 0.7.0-beta - 2020-06-07
### Added
- order buttons
### Changed
- use numeric LogLevel over booleans
- exact case option reversed (again)
- smart case handling if replacement is longer than match
### Fixed
- Deletion of all mappings

## Version 0.6.0 (unreleased) - 2020-06-05
### Added
- honour capital/mixed cases for ignore case
- consolidate consecutive matches
- database upgrade capability
### Changed
- case sensitivity option reversed
- removed obsolete WIM handling
### Fixed
- skip empty mapping
- Deletion of mapping

## Version 0.5.0 - 2020-06-01
### Added
- add replacements via options UI

## Version 0.4.0 (unreleased) - 2020-05-30
### Added
- restructured files
- extract functions and color codes
- filter channels

## Version 0.3.0 - 2020-05-27
### Fixed
- fixed DB storange and debug printing

## Version 0.2.2 (unreleased) - 2020-05-26
### Added
- added Options UI under Interface Options
- store settings in profiles
- added more translations

## Version 0.2.1 (unreleased) - 2020-05-25
### Added
- support automatic packaging for curseforge via .pkgmeta
- include project logo
- auto-update the project description via .docmeta

## Version 0.2 - 2020-05-25
### Added
- added debug flag and messages
### Fixed
- handle SendChatMessage ordering if addon Misspelled is also installed
- break long texts in chunks of 255 length

## Version 0.1 (unreleased) - 2020-05-24
### Added
- bootstrap addon with Ace3 based on [Misspelled](https://www.curseforge.com/wow/addons/misspelled)